package pt.unl.fct.di.novasys.babel.protocols.dissemination.messages;

import java.util.UUID;

import pt.unl.fct.di.novasys.babel.generic.ProtoMessage;
import pt.unl.fct.di.novasys.babel.protocols.dissemination.notifications.BroadcastDelivery;

public abstract class IdentifiableProtoMessage extends ProtoMessage {

    private final UUID mid;
	
	public IdentifiableProtoMessage(short id) {
		super(id);
		this.mid = UUID.randomUUID();
	}
	
	public IdentifiableProtoMessage(short id, UUID mid) {
		super(id);
		this.mid = mid;
	}

    public UUID getMID() {
    	return mid;
    }
    
    public abstract BroadcastDelivery generateDeliveryNotification(short sourceProtoID);
   
}
