package pt.unl.fct.di.novasys.babel.protocols.dissemination.notifications;

import java.sql.Timestamp;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.network.data.Host;

public class BroadcastDelivery extends ProtoNotification {

    public static final short NOTIFICATION_ID = 501;

	private final Timestamp timestamp;
	private final Host sender;
	private final byte[] payload; 

    public BroadcastDelivery(Host sender, byte[] payload, Timestamp t) {
    	super(NOTIFICATION_ID);
    	this.timestamp = Timestamp.from(t.toInstant());
    	this.sender = new Host(sender.getAddress(), sender.getPort());
    	this.payload = payload.clone();
    }


    public Host getSender() {
        return sender;
    }
    
    public Timestamp getTimestamp() {
    	return timestamp;
    }
    
    public byte[] getPayload() {
    	return payload;
    }
}
