package pt.unl.fct.di.novasys.babel.protocols.dissemination.requests;

import java.sql.Timestamp;

import pt.unl.fct.di.novasys.babel.generic.ProtoRequest;
import pt.unl.fct.di.novasys.network.data.Host;

public class BroadcastRequest extends ProtoRequest {

	public final static short REQUEST_ID = 501;
	
	private final Timestamp timestamp;
	private final Host sender;
	private final byte[] payload;
	private final short protoID;
	
	public BroadcastRequest(Host sender, byte[] payload, short protoID) {
		super(REQUEST_ID);
		this.timestamp = new Timestamp(System.currentTimeMillis());
		this.sender = new Host(sender.getAddress(), sender.getPort());
		this.payload = payload.clone();
		this.protoID = protoID;
	}
	
	public Timestamp getTimestamp() {
		return this.timestamp;
	}
	
	public Host getOriginalSender() {
		return this.sender;
	}
	
	public byte[] getPayload() {
		return this.payload;
	}
	
	public short getProtoID() {
		return this.protoID;
	}

}
