package pt.unl.fct.di.novasys.babel.protocols.dissemination.requests;

import pt.unl.fct.di.novasys.babel.generic.ProtoRequest;
import pt.unl.fct.di.novasys.babel.protocols.dissemination.messages.IdentifiableProtoMessage;
import pt.unl.fct.di.novasys.network.data.Host;

public class MissingIdentifiableMessageRequest extends ProtoRequest {

	public static final short REQUEST_ID = 503;

	private final IdentifiableProtoMessage message;
	private final Host destination;
	
	public MissingIdentifiableMessageRequest(IdentifiableProtoMessage m, Host destination) {
		super(REQUEST_ID);
		this.message = m;
		this.destination = destination;
	}

	public IdentifiableProtoMessage getMessage() {
		return this.message;
	}
	
	public Host getDestination() {
		return this.destination;
	}
}
