package pt.unl.fct.di.novasys.babel.protocols.general.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.network.data.Host;

public class ChannelAvailableNotification extends ProtoNotification {

	public final static short NOTIFICATION_ID = 001;

	private final short protoSource;
	private final String protoSourceName;
	private final int channelID;
	private final String channelName;
	private final Host channelListen;
	
	public ChannelAvailableNotification(short protoSource, String protoSourceName, int channelID, String channelName, Host channelListen) {
		super(ChannelAvailableNotification.NOTIFICATION_ID);
	
		this.protoSource = protoSource;
		this.protoSourceName = protoSourceName;
		this.channelID = channelID;
		this.channelName = channelName;
		this.channelListen = channelListen;
	}

	public short getProtoSource() {
		return protoSource;
	}

	public String getProtoSourceName() {
		return protoSourceName;
	}

	public int getChannelID() {
		return channelID;
	}

	public String getChannelName() {
		return channelName;
	}

	public Host getChannelListenData() {
		return channelListen;
	}
}
