package pt.unl.fct.di.novasys.babel.protocols.membership.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.network.data.Host;

public class NeighborDown extends ProtoNotification {

    public static final short NOTIFICATION_ID = 402;

    private final Host peer;
    private final boolean possibleFailure;

    public NeighborDown(Host peer) {
    	super(NOTIFICATION_ID);
        this.peer = peer;
        this.possibleFailure = true;
    }

    public NeighborDown(Host peer, boolean unexpectedDisconnect) {
    	super(NOTIFICATION_ID);
    	this.peer = peer;
        this.possibleFailure = unexpectedDisconnect;
    }
    
    public Host getPeer() {
        return peer;
    }
    
    public boolean isDueToAPossibleFailure() {
    	return this.possibleFailure;
    }
}
