package pt.unl.fct.di.novasys.babel.protocols.membership.requests;

import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import pt.unl.fct.di.novasys.babel.generic.ProtoReply;
import pt.unl.fct.di.novasys.network.data.Host;

public class GetNeighborsSampleReply extends ProtoReply {

	public final static short REPLY_ID = 402;
	
	private final Set<Host> sample;
	
	public GetNeighborsSampleReply(int maxSampleSize) {
		super(REPLY_ID);
		this.sample = new HashSet<Host>(maxSampleSize);
	}
	
	public GetNeighborsSampleReply(Collection<? extends Host> peers) {
		super(REPLY_ID);
		this.sample = new HashSet<Host>(peers);
	}
	
	public GetNeighborsSampleReply(Set<? extends Host> peers) {
		super(REPLY_ID);
		this.sample = new HashSet<Host>(peers);
	}

	public int getSize() {
		return this.sample.size();
	}
	
	public boolean addToSample(Host h) {
		return this.sample.add(h);
	}
	
	public Iterator<? extends Host> getSampleIterator() {
		return this.sample.iterator();
	}

}
