package pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.notifications;

import java.sql.Timestamp;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.babel.protocols.secure.membership.Peer;

public class BroadcastDelivery extends ProtoNotification {

    public static final short NOTIFICATION_ID = 551;

    private final Timestamp timestamp;
    private final Peer sender;
    private final byte[] payload;

    public BroadcastDelivery(Peer sender, byte[] payload, Timestamp t) {
        super(NOTIFICATION_ID);
        this.timestamp = Timestamp.from(t.toInstant());
        this.sender = sender.clone();
        this.payload = payload.clone();
    }

    public Peer getSender() {
        return sender;
    }

    public Timestamp getTimestamp() {
        return timestamp;
    }

    public byte[] getPayload() {
        return payload;
    }

    @Override
    public String toString() {
        return "BroadcastDelivery { timestamp=" + timestamp + ", sender=" + sender
                + ", payloadSize=" + payload.length + " }";
    }

}
