package pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.messages.SignedIdentifiableProtoMessage;

public class IdentifiableMessageNotification extends ProtoNotification {

    public static final short NOTIFICATION_ID = 552;

    private final SignedIdentifiableProtoMessage message;
    private final short sourceProtocol;

    public IdentifiableMessageNotification(SignedIdentifiableProtoMessage m, short sourceProtocol) {
        super(NOTIFICATION_ID);
        this.message = m;
        this.sourceProtocol = sourceProtocol;
    }

    public SignedIdentifiableProtoMessage getMessage() {
        return this.message;
    }

    public short getSourceProtocol() {
        return this.sourceProtocol;
    }

    @Override
    public String toString() {
        return "IdentifiableMessageNotification { message=" + message
                + ", sourceProtocol=" + sourceProtocol + " }";
    }

}
