package pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.requests;

import java.sql.Timestamp;

import pt.unl.fct.di.novasys.babel.generic.ProtoRequest;
import pt.unl.fct.di.novasys.babel.protocols.secure.membership.Peer;

public class BroadcastRequest extends ProtoRequest {

    public final static short REQUEST_ID = 551;

    private final Timestamp timestamp;
    private final Peer sender;
    private final byte[] payload;
    private final short protoID;

    public BroadcastRequest(Peer sender, byte[] payload, short protoID) {
        super(REQUEST_ID);
        this.timestamp = new Timestamp(System.currentTimeMillis());
        this.sender = sender;
        this.payload = payload.clone();
        this.protoID = protoID;
    }

    public Timestamp getTimestamp() {
        return this.timestamp;
    }

    public Peer getOriginalSender() {
        return this.sender;
    }

    public byte[] getPayload() {
        return this.payload;
    }

    public short getProtoID() {
        return this.protoID;
    }

    @Override
    public String toString() {
        return "BroadcastRequest { timestamp=" + timestamp + ", sender=" + sender
                + ", payloadSize=" + payload + ", protoID=" + protoID + " }";
    }

}
