package pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.requests;

import pt.unl.fct.di.novasys.babel.generic.ProtoRequest;
import pt.unl.fct.di.novasys.babel.protocols.secure.dissemination.messages.SignedIdentifiableProtoMessage;
import pt.unl.fct.di.novasys.babel.protocols.secure.membership.Peer;

public class MissingIdentifiableMessageRequest extends ProtoRequest {

	public static final short REQUEST_ID = 553;

	private final SignedIdentifiableProtoMessage message;
	private final Peer destination;
	
	public MissingIdentifiableMessageRequest(SignedIdentifiableProtoMessage m, Peer destination) {
		super(REQUEST_ID);
		this.message = m;
		this.destination = destination;
	}

	public SignedIdentifiableProtoMessage getMessage() {
		return this.message;
	}
	
	public Peer getDestination() {
		return this.destination;
	}
}
