package pt.unl.fct.di.novasys.babel.protocols.secure.membership.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;
import pt.unl.fct.di.novasys.babel.protocols.secure.membership.Peer;

public class NeighborDown extends ProtoNotification {

    public static final short NOTIFICATION_ID = 452;

    private final Peer peer;
    private final boolean possibleFailure;

    public NeighborDown(Peer peer) {
        super(NOTIFICATION_ID);
        this.peer = peer;
        this.possibleFailure = true;
    }

    public NeighborDown(Peer peer, boolean unexpectedDisconnect) {
        super(NOTIFICATION_ID);
        this.peer = peer;
        this.possibleFailure = unexpectedDisconnect;
    }

    public Peer getPeer() {
        return peer;
    }

    public boolean isDueToAPossibleFailure() {
        return this.possibleFailure;
    }

    @Override
    public String toString() {
        return "NeighborDown { peer=" + peer + ", possibleFailure=" + possibleFailure + " }";
    }

}
