package pt.unl.fct.di.novasys.babel.protocols.secure.membership.requests;

import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import pt.unl.fct.di.novasys.babel.generic.ProtoReply;
import pt.unl.fct.di.novasys.babel.protocols.secure.membership.Peer;

public class GetNeighborsSampleReply extends ProtoReply {

    public final static short REPLY_ID = 452;

    private final Set<Peer> sample;

    public GetNeighborsSampleReply(int maxSampleSize) {
        super(REPLY_ID);
        this.sample = new HashSet<Peer>(maxSampleSize);
    }

    public GetNeighborsSampleReply(Collection<Peer> peers) {
        super(REPLY_ID);
        this.sample = new HashSet<Peer>(peers);
    }

    public GetNeighborsSampleReply(Set<Peer> peers) {
        super(REPLY_ID);
        this.sample = new HashSet<Peer>(peers);
    }

    public int getSize() {
        return this.sample.size();
    }

    public boolean addToSample(Peer peer) {
        return this.sample.add(peer);
    }

    public Iterator<Peer> getSampleIterator() {
        return this.sample.iterator();
    }

    @Override
    public String toString() {
        return "GetNeighborsSampleReply { sampleSize=" + sample.size() + " }";
    }

}
