package pt.unl.fct.di.novasys.babel.protocols.storage.notifications;

import pt.unl.fct.di.novasys.babel.generic.ProtoNotification;

/**
 * A notification informing that a storage layer server (or replica) as went down due to an internal server error.
 */
public class ServerDownNotification extends ProtoNotification {
	public final static short NOTIFICATION_ID = 620;
	private String message;
	
	/**
	 * Creates a server down notification with a message detailing the cause of the error.
	 * @param message the message detailing the error.
	 */
	public ServerDownNotification(String message) {
		super(NOTIFICATION_ID);
		this.message=message;
	}

	/**
	 * Gets the message associated with the error.
	 * @return the message detailing the error.
	 */
	public String getMessage() {
		return message;
	}
}
