package pt.unl.fct.di.novasys.babel.protocols.storage.requests;

import pt.unl.fct.di.novasys.babel.protocols.storage.requests.common.CommonRequest;

/**
 * A request issued to perform the deletion of a collection in a given keySpace.
 * The request contains the identifiers of the collection and the respective
 * keySpace.
 */
public class DeleteCollectionRequest extends CommonRequest {
	public final static short REQUEST_ID = 604;

	private String collection;

	/**
	 * Creates a create collection request with the keyspace and the collection
	 * identifier.
	 * 
	 * @param keySpace   the keyspace of the collection.
	 * @param collection the collection identifier.
	 */
	public DeleteCollectionRequest(String keySpace, String collection) {
		super(keySpace, REQUEST_ID);

		this.collection = collection;
	}

	/**
	 * Gets the collection identifier.
	 * 
	 * @return the collection identifier.
	 */
	public String getCollection() {
		return collection;
	}

}
