package pt.unl.fct.di.novasys.babel.protocols.storage.requests;

import pt.unl.fct.di.novasys.babel.protocols.storage.requests.common.CommonRequest;

/**
 * A request issued by the application to delete a keyspace. The request
 * contains information about the keyspace in question.
 */
public class DeleteKeySpaceRequest extends CommonRequest {
	public final static short REQUEST_ID = 605;

	/**
	 * Creates a delete keyspace request with the keyspace.
	 * 
	 * @param keySpace   the keyspace of the collection.
	 */
	public DeleteKeySpaceRequest(String keySpace) {
		super(keySpace, REQUEST_ID);

	}
}