package pt.unl.fct.di.novasys.babel.protocols.storage.requests.common;

import pt.unl.fct.di.novasys.babel.generic.ProtoRequest;

/**
 * A request common to all requests issued on the storage layer.
 * The request stores the keySpace where the request is being issued.
 */
public abstract class CommonRequest extends ProtoRequest {
	public final static short REQUEST_ID = 602;

	private String keySpace;

	public CommonRequest(String keySpace, short protoID) {
		super(protoID);

		this.keySpace = keySpace;

	}

	/**
	 * Gets the keySpace where the operation is being issued.
	 * @return the keySpace
	 */
	public String getKeySpace() {
		return keySpace;
	}
}
