package pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations;

import pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations.common.CommonOperation;
import pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations.utils.CommonOperationType;

/**
 * A operation containing a payload (represented as a byte []).
 */
public class PayloadOperation extends CommonOperation {
	private byte[] payload;

	/**
	 * Creates a payload operation with a given operation type, and a payload
	 * containing the data.
	 * 
	 * @param type    the type of operation
	 * @param payload the payload of the operation.
	 */
	public PayloadOperation(CommonOperationType type, byte[] payload) {
		super(type);

		this.payload = payload;
	}

	/**
	 * Gets the payload associated with the operation.
	 * 
	 * @return the payload of the operation.
	 */
	public byte[] getPayload() {
		return payload;
	}
}