package pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations.common;

import pt.unl.fct.di.novasys.babel.protocols.storage.utils.operations.utils.CommonOperationType;

/**
 * An abstract class representing an operation issued to the storage layer.
 * This class is common to all operation issued by the application and solely 
 */
public abstract class CommonOperation {
	protected CommonOperationType operationType;
	
	public CommonOperation(CommonOperationType operationType) {
		this.operationType=operationType;
	}
	
	
	/**
	 * Gets the type of operation being issued.
	 * @return the type of operation being issued.
	 */
	public CommonOperationType getOperationType() {
		return operationType;
	}
}
